# $Revision: 1.9 $, $Date: 2002/09/18 18:35:09 $
Summary:	Strategy game
Summary(pl):	Gra strategiczna
Name:		freelords
Version:	0.1.6
Release:	2
License:	GPL
Group:		X11/Applications/Games/Strategy
Source0:	http://download.freelords.org/sources/%{name}-%{version}.tar.gz
Patch0:		%{name}-make.patch
Patch1:		%{name}-path.patch
URL:		http://www.freelords.org/
BuildRequires:	SDL_image-devel
BuildRequires:	libstdc++-devel
BuildRequires:	paragui-devel
BuildRequires:	qt-devel >= 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
FreeLords is a turn-based strategy game. There can be various goals to
achieve like e.g.: destroying all enemies, gathering a specific amount
of money, occupying a certain city, ...

%description -l pl
FreeLords to gra strategiczna z podziaem na tury. Cele gry mog by
rne np. zniszczenie wszystkich przeciwnikw, zebranie okrelonej
sumy pienidzy, okupacja okrelonego miasta i inne.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
find . -type d -name 'CVS'| xargs rm -rf

%build
%{__make} CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_bindir},%{_libdir}}

install src/%{name} $RPM_BUILD_ROOT%{_bindir}
install src/{common,graphic}/lib*so.*.* $RPM_BUILD_ROOT%{_libdir}

cp -a pic/* $RPM_BUILD_ROOT%{_datadir}/%{name}
install src/*.py $RPM_BUILD_ROOT%{_datadir}/%{name}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: freelords.spec,v $
Revision 1.9  2002/09/18 18:35:09  kloczek
- release 2,
- patch{0,1} resurection,
- added missing libraries.

Revision 1.8  2002/09/16 22:20:15  marcus
- updated to 0.1.6

Revision 1.7  2002/07/31 19:56:50  blues
- 0.1.5
- started upgrade - who wants to finish?

Revision 1.6  2002/04/25 16:19:37  arturs
fixed a small typo

Revision 1.5  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/05/02 16:29:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.2  2001/02/19 11:38:36  kloczek
- better C++ optimization (added -fno-rtti -fno-exceptions to compile flags).

Revision 1.1  2001/02/17 14:35:57  misiek
Strategic game for XWindow
